[arch-commits] Commit in python-cx-freeze/repos/community-x86_64 (PKGBUILD)

Felix Yan felixonmars at archlinux.org
Wed Dec 16 19:25:14 UTC 2020


    Date: Wednesday, December 16, 2020 @ 19:25:13
  Author: felixonmars
Revision: 776922

archrelease: copy trunk to community-x86_64

Added:
  python-cx-freeze/repos/community-x86_64/PKGBUILD
    (from rev 776921, python-cx-freeze/trunk/PKGBUILD)

----------+
 PKGBUILD |   44 ++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 44 insertions(+)

Copied: python-cx-freeze/repos/community-x86_64/PKGBUILD (from rev 776921, python-cx-freeze/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2020-12-16 19:25:13 UTC (rev 776922)
@@ -0,0 +1,44 @@
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Alexander Rødseth <rodseth at gmail.com>
+# Contributor: Ray Rashif <schiv at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+# Contributor: Eric Belanger <eric at archlinux.org>
+# Contributor: Roberto Alsina <ralsina at kde.org>
+# Contributor: Julien Duponchelle <julien at gns3.net>
+
+pkgname=python-cx_freeze
+pkgver=6.4
+pkgrel=1
+pkgdesc='Create standalone executables from Python scripts'
+arch=('x86_64')
+url='https://marcelotduarte.github.io/cx_Freeze'
+license=('PSF')
+depends=('python-importlib-metadata')
+makedepends=('python-setuptools')
+checkdepends=('python-nose' 'python-openpyxl')
+replaces=('python-cx_freeze')
+provides=('python-cx_freeze')
+conflicts=('python-cx_freeze')
+source=("https://github.com/marcelotduarte/cx_Freeze/archive/$pkgver/$pkgname-$pkgver.tar.gz")
+sha512sums=('037cd262538fd93aa5795723659b7a9e79dcd978e0db8e429f877bf5f8c6c7094f5dfb25bfe2ecf67db9228f18dab118820f6a7dda75ad00b80d619f0f58f34a')
+
+prepare() {
+  cd cx_Freeze-$pkgver
+  # https://github.com/marcelotduarte/cx_Freeze/pull/833
+  sed -i 's/excludes$/excludes or []/' cx_Freeze/finder.py
+}
+
+build() {
+  cd cx_Freeze-$pkgver
+  python setup.py build
+}
+
+check() {
+  cd cx_Freeze-$pkgver
+  python setup.py nosetests || echo "Tests failed"
+}
+
+package() {
+  cd cx_Freeze-$pkgver
+  python setup.py install --root "$pkgdir" --optimize 1 --skip-build
+}



More information about the arch-commits mailing list